package com.trade.service.contract.util.esign.entity;

/**
 * @Description:e签约宝：合同文件
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:Sep 10, 2019 12:13:36 PM
 */
public class ESignContractDoc {

    /** 文档ID **/
    private String fileId;
    /** 是否加密合同，如果发起时合同为加密合同，需用户签署时填写文档编辑密码进行签署 。是否加密，0-不加密，1-加，默认0 **/
    private int encryption = 0;
    /** 文档名称，默认使用创建合同时的名称 **/
    private String fileName;
    /** 文档密码, 如果encryption值为1, 文档密码不能为空，默认没有密码 **/
    private String filePassword;

    public ESignContractDoc(){
    }

    public ESignContractDoc(String fileId, String fileName){
        this.fileId = fileId;
        this.encryption = 0;
        this.fileName = fileName;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public int getEncryption() {
        return encryption;
    }

    public void setEncryption(int encryption) {
        this.encryption = encryption;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePassword() {
        return filePassword;
    }

    public void setFilePassword(String filePassword) {
        this.filePassword = filePassword;
    }
}
